# vim: set sw=4 ts=4 et:
# Copyright (c) 2008-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

Summary:        Menc is an GUI to encode videos with MEncoder and transcode
Name:           burn_360
Version:        1.0
Release:        1699.1.pm.2
License:        GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source:         https://sourceforge.net/projects/burn360/files/burn360/%{version}/burn_360-%{version}.tar.bz2
#Patch1:         %%{name}-fix_paths.patch
Source90:       %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://sourceforge.net/projects/burn360/
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
BuildArch:      noarch
#equires:       a52dec
#equires:       cdrdao
#equires:       faad2
#equires:       faac
#equires:       imlib2
#equires:       lame
#equires:       libcdio-utils
#equires:       libdvdread
#Requires:		libdvdcss
#equires:       vobcopy
#equires:       xvid
#equires:       xawtv
Requires:       cdrecord
Requires:       dvdauthor
Requires:       dvd+rw-tools
Requires:       genisoimage
Requires:       perl(DBI)
Requires:       perl(File::Basename)
Requires:       perl(File::Copy)
Requires:       perl(File::Glob)
Requires:       perl(GD::Simple)
Requires:       perl(Gtk2)
Requires:       perl(Gtk2::SimpleList)
Requires:       perl(List::Util)
Requires:       perl(Text::Wrap)
Requires:       perl(URI::Escape)
Requires:       perl(XML::Simple)
Requires:       vcdimager

%description
This is a frontend to ffmpeg and standard VCD/DVD ripping creation
programs written in perl-gtk2.

It is designed to enable (as separate processes):
* VCD/DVD ripping
* Any Media-transcoding that ffmpeg supports
* VCD/DVD creation

%prep
%setup -q -c
#-T -a 0
#patch1

%__sed -i -e '
s|@@ICONDIR@@|%{_datadir}/%{name}/icons|;
s|@@DOCDIR@@|%{_docdir}/%{name}|;
s|@@OPTSDIR@@|%{_datadir}/%{name}|
' burn_360

%__chmod 644 README.* COPYING

%build

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 %{name} \
    %{buildroot}%{_bindir}
%__install -m 755 dir_dvd_play.pl \
    %{buildroot}%{_bindir}

%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__install -dm 755 %{buildroot}%{_datadir}/%{name}/icons
%__install -m 644 *.png \
    %{buildroot}%{_datadir}/%{name}/icons

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{name}.png \
    %{buildroot}%{_datadir}/pixmaps

%suse_update_desktop_file -i -r burn_360 AudioVideo AudioVideoEditing
%suse_update_desktop_file -i -r dir_dvd_play AudioVideo AudioVideoEditing

%fdupes -s "%{buildroot}%{_datadir}/"

%files
%defattr(-,root,root)
%doc README.* COPYING
%{_bindir}/burn_360
%{_bindir}/dir_dvd_play.pl
%{_datadir}/%{name}
%{_datadir}/applications/burn_360.desktop
%{_datadir}/applications/dir_dvd_play.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Apr  6 2017 davejplater@gmail.com
- Update to 1.0
- Upstream changes:
  * Final release now feature complete
* Thu Sep 24 2015 olaf@aepfle.de
- update to 0.8.0
  Added preview feature to DVD creation, both by file and DVD
  Aletered all configuration/state operations to use SQLite rather than text files
  Removed /usr/share/opts and replaced with initial setup of SQLite db
  Moved to udisks for disk detection
  Added mplayer option to rip DVDs by Title/Chapter
  Altered DVD creation code and fixed some associated issues
  reworked DVD file preview
- Remove unneeded BuildRequires, adjust Requires
* Sun Apr 17 2011 pascal.bleser@opensuse.org
- fix typo in path patch which lead to major breakage, thanks to Carl Fletcher
  for reporting
* Thu Feb 17 2011 pascal.bleser@opensuse.org
- update to 0.8.0
* Tue Apr 14 2009 toni@links2linux.de
- update to 0.7.3
* Tue Jul 29 2008 toni@links2linux.de
- update to 0.7.2f
* Mon Jul  7 2008 toni@links2linux.de
- update to 0.7.2
* Sat Jul  5 2008 toni@links2linux.de
- update to 0.7.1
* Wed Jul  2 2008 toni@links2linux.de
- initial rpm 0.7
